#!/bin/sh

srootsize=50000000
drootsize=80000000
boot_size=1000000

# Don't use raids under virtualization
if lspci -n | grep -qE '(1013:00b8)|(80ee:beef)|(14ad:0405)|(1af4:100)' ; then
	server_methods='plain'
	srootsize=$[$srootsize/2]
	drootsize=$[$drootsize/3]
else
	server_methods='raid plain'
fi

{
cat << _EOF_
((workstation
  (title . "Setup for workstation")
  (action . trivial)
  (actiondata
_EOF_
if [ `arch` = 'e2k' ]; then
# see also https://bugzilla.altlinux.org/34600
cat << _EOF_
   ("/boot" (size $boot_size . $boot_size ) (fsim . "Ext2/3") (methods plain))
_EOF_
fi
cat << _EOF_
   ("/" (size . $drootsize ) (fsim . "Ext2/3") (methods plain))
   ("/home" (size 4194304 . #t) (fsim . "Ext2/3") (methods  plain))))
(server
  (title . "Setup for server")
  (action . trivial)
  (actiondata
_EOF_
if [ `arch` = 'e2k' ]; then
cat << _EOF_
   ("/boot" (size $boot_size . $boot_size ) (fsim . "Ext2/3") (methods plain))
_EOF_
fi
cat << _EOF_
   ("/" (size  . $srootsize ) (fsim . "Ext2/3") (methods $server_methods))
   ("/var" (size 4194304 . #t) (fsim . "Ext2/3") (methods $server_methods))))
)
_EOF_
} > /var/cache/alterator/vm-profile.scm
